package sklep.controller;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.GetMapping;

import sklep.model.Product;
import sklep.repository.ProductRepository;

@Controller
public class ProductController {
	@Autowired
	private ProductRepository productRepository;
	
	@GetMapping("/products")
	public String readAll(Model model) {
		List<Product> products = productRepository.findAll();
		model.addAttribute("products", products);
		return "products.jsp";
	}

}
